Bug 4914 - Last patch on C4/Output.pm has problem
Summary: Last patch on C4/Output.pm has problem
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: rel_3_0
Hardware: All All
: PATCH-Sent (DO NOT USE) blocker (vote)
Assignee: Henri-Damien LAURENT
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-28 16:11 UTC by Zeno Tajoli
Modified: 2019-06-27 09:24 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zeno Tajoli 2010-06-28 16:11:00 UTC
Hi to all,

the last patch on C4/Output.pm (for NSB) has a problem.
It deleted also the declaration of variable '$status' in the sub
output_html_with_http_headers

To fix the bug we can delete at all the variable '$status' in the sub.
To do this we need to delete the line 391

I send the patch with this solution.

But we can also use different solutions.
Comment 1 Zeno Tajoli 2010-06-29 09:34:32 UTC
The patch proposed is here:
http://lists.koha-community.org/pipermail/koha-patches/2010-June/012173.html
Comment 2 Galen Charlton 2010-07-02 11:59:11 UTC
Assigning to 3.0.x RMaint, as this is a 3.0.x blocker.
Comment 3 Henri-Damien LAURENT 2010-07-02 12:28:42 UTC
It has already been pushed on 3.0.x
Comment 4 Zeno Tajoli 2010-07-02 12:49:23 UTC
I confirm the patch is OK